<?php
// Manage events along with selecting a date
function eventy_events_index()
{
	global $wpdb, $events_table;
	
	// months array for the drop-down
	$months=array(1=>"January", 2=>"February", 3=>"March", 4=>"April", 5=>"May", 6=>"June", 7=>"July",
		8=>"August", 9=>"September", 10=>"October", 11=>"November", 12=>"December");
		
	// from and to hour array
	if(get_option("eventy_timeformat")==12)
	{
		$hours=array("N/a","1:00 AM", "1:30 AM", "2:00 AM", "2:30 AM", "3:00 AM", "3:30 AM", "4:00 AM",
			"4:30 AM", "5:00 AM", "5:30 AM", "6:00 AM", "6:30 AM", "7:00 AM", "8:00 AM", "8:30 AM", "9:00 AM", "9:30 AM",
			"10:00 AM", "10:30 AM", "11:00 AM", "11:30 AM", "12:00 AM", "12:30 AM", "1:00 PM", "1:30 PM", "2:00 PM",
			"2:30 PM", "3:00 PM", "3:30 PM", "4:00 PM", "4:30 PM", "5:00 PM", "5:30 PM", "6:00 PM", "6:30 PM", "7:00 PM",
			"7:30 PM", "8:00 PM", "8:30 PM", "9:00 PM", "9:30 PM", "10:00 PM", "10:30 PM", "11:00 PM", "11:30 PM", "12:00 PM","12:30 PM");
	}
	else 
	{
		$hours=array("N/a", "0:00", "0:30", "1:00", "1:30", "2:00", "2:30", "3:00", "3:30", "4:00", "4:30", "5:00", "5:30", "6:00",
		"6:30", "7:00", "7:30", "8:00", "8:30", "9:00", "9:30", "10:00", "10:30", "11:00", "11:30", "12:00", "12:30", "13:00",
		"13:30", "14:00", "14:30", "15:00", "15:30", "16:00", "16:30", "17:00", "17:30", "18:00", "18:30", "19:00",
		"19:30", "20:00", "20:30", "21:00", "21:30", "22:00", "22:30", "23:00", "23:30");		
	}	
	
	// date defaults to today if not sent by post
	$date=empty($_POST['day'])?date("Y-m-d"):$_POST['year']."-".$_POST['month']."-".$_POST['day'];
	$parts=explode("-",$date);
	$start_year=2012; // hardcoded because this is the year when the plugin is released
	$end_year=date("Y")+100; // always 100 years from now
	
	if(!empty($_POST['add']))
	{
		$wpdb->query($wpdb->prepare("INSERT INTO $events_table (title, from_hour, to_hour, date, description)
			VALUES (%s, %s, %s, %s, %s)", $_POST['title'], $_POST['from_hour'], $_POST['to_hour'], $date, $_POST['description']));
	}
	
	if(!empty($_POST['save']))
	{
		$wpdb->query($wpdb->prepare("UPDATE $events_table SET title=%s, from_hour=%s, to_hour=%s, date=%s, description=%s
			WHERE id=%d",$_POST['title'], $_POST['from_hour'], $_POST['to_hour'], $date, $_POST['description'], $_POST['id']));
	}	
	
	if(!empty($_POST['del']))
	{
		$wpdb->query($wpdb->prepare("DELETE FROM $events_table WHERE id=%d", $_POST['id']));
	}
	
	// any events already added on the date?
	$events=$wpdb->get_results($wpdb->prepare("SELECT * FROM $events_table WHERE date=%s ORDER BY id", $date));
	
   require(EVENTY_PATH."/views/events.php");
}