<?php
// the class that actually outputs the calendar
class Eventy
{
	function __construct($_cal)
	{
		$this->cal=$_cal;
	}	
	
	function display()
	{
		global $wpdb, $events_table;		
		
		// current month
		$year=intval(empty($_GET['year'])?date("Y"):$_GET['year']);
		$month=intval(empty($_GET['month'])?date("m"):$_GET['month']);
		
		// normalize params
		if($year<1900 or $year>(date("Y")+100)) $year=date("Y");
		if($month<1 or $month>12) $month=intval(date("m"));	
				
		// next month and next year. 
		// $next_year is not necessarily the next year - it's the year when $next_month is
		if($month<12): $next_month=$month+1; $next_year=$year; endif;
		if($month==12): $next_month=1; $next_year=$year+1; endif;
		
		// prev month and prev year. 
		// $prev_year is not necessarily the previous year - it's the year when $prev_month is
		if($month==1): $prev_month=12; $prev_year=$year-1; endif;
		if($month>1): $prev_month=$month-1; $prev_year=$year; endif;
			
		$num_weeks=$this->cal->num_weeks($month, $year);	
		
		// find events on this month
		$this->events=$wpdb->get_results($wpdb->prepare("SELECT * FROM $events_table 
			WHERE MONTH(date)=%d AND YEAR(date)=%d ORDER BY id", $month, $year));
				
		require(EVENTY_PATH."/views/display-calendar.php");
	}
	
	// match the events for given month to a day
	function match_events($day)
	{
		$events=array();
		foreach($this->events as $event)
		{
			$parts=explode("-",$event->date);
			
			if(intval($parts[2])==intval($day)) $events[]=$event;
		}
		
		return $events;
	}
	
	static function link($url, $query_string)
	{
		if(strstr($url,"?")) return $url."&amp;".$query_string;
		else return $url."?".$query_string;
	}
	
	// adding meta boxes for event calendars
	static function meta_boxes()
	{
		add_meta_box("eventypro_meta", "Eventy Information", 
							array("Eventy", "print_meta_box"), "eventy_calendar");		
	}
	
	// actually prints out the meta box
	static function print_meta_box($post)
	{
		echo _("<p>Give your even calendar any title you wish. Then you can grab the link and add it in your template or add the calendar to your menus as described <a href='#'>here</a>.</p>
		<p>You can create as many calendars as you wish but in the basic Eventy this is not necessary because they all will show the same events.</p>
		<p><b>However if you <a href='http://pimteam.net/wp-eventy/' target='_blank'>upgrade to Eventy PRO</a> you will be able to have different calendars showing events from different categories and locations.</b></p>");
	}
}